# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.92"
name = "dibs-sql"
version = "0.2.0-rc.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Typed SQL AST and renderer for dibs"
readme = "README.md"
license = "MIT OR Apache-2.0"

[package.metadata."docs.rs"]
rustdoc-args = [
    "--html-in-header",
    "arborium-header.html",
]

[package.metadata.cargo-shear]
ignored = ["facet"]

[lib]
name = "dibs_sql"
path = "src/lib.rs"

[dependencies.blake3]
version = "^1"

[dependencies.facet]
version = "0.50.0-rc.1"

[dependencies.indexmap]
version = "2"

[dependencies.strid]
version = "11.0.0-rc.1"

[dev-dependencies.insta]
version = "1"
